function love.load()
	love.graphics.setMode(320,240,false,true,0);
	ready=true;
	p1y=120;
	p2y=120;
	p1ys=0;
	p2ys=0;
	local rand = math.random;
	
	ballx=160;
	bally=rand(0,240);
	
	p1s=0;
	p2s=0;
	odt = 0;
end

function love.keypressed(k,u)
	local rand = math.random;
	if k==" " and ready==true then
		ready=false;
		ballx=160;
		if p1s >= 10 or p2s >= 10 then
			p1s=0;
			p2s=0;
		end
		bally=rand(0,240);
		ballxs=rand(-2,2);
		ballys=rand(-2,2);
		while math.abs(ballxs) < 1 or math.abs(ballys) < 1 do
			ballxs=rand(-2,2);
			ballys=rand(-2,2);
		end
	end
	if k=="w" and ready==false and p1y > 12 then
		p1ys=-math.abs(ballys)/2-2;
	end
	if k=="s" and ready==false and p1y < 240-12 then
		p1ys=math.abs(ballys)/2+2;
	end
	
	if k=="i" and ready==false and p2y > 12 then
		p2ys=-math.abs(ballys)/2-2;
	end
	if k=="k" and ready==false and p2y < 240-12 then
		p2ys=math.abs(ballys)+2;
	end
end

function love.keyreleased(k)
	if k=="w" or k=="s" then
		p1ys=0;
	end
	
	if k=="i" or k=="k" then
		p2ys=0;
	end
end

function love.update(dt)
	odt = odt + dt;
	if not ready and odt > 0.025 then
		odt = odt - 0.025;
		p1y=p1y+p1ys;
		if p1y<12 then
			p1y=12;
			p1ys=0;
		end
		if p1y>240-12 then
			p1y=240-12;
			p1ys=0;
		end
		
		p2y=p2y+p2ys;
		if p2y<12 then
			p2y=12;
			p2ys=0;
		end
		if p2y>240-12 then
			p2y=240-12;
			p2ys=0;
		end
	
		for i=1,math.abs(ballxs) do
			if (ballx+absbool(ballxs) < 5 and (bally >= p1y-12 and bally <= p1y+12)) or (ballx+absbool(ballxs) > 315 and (bally >= p2y-12 and bally <= p2y+12)) then
				if not (ballx+absbool(ballxs) < 4 or ballx+absbool(ballxs) > 316) then
					ballxs = calcspeed(bally-p1y,bally-p2y);
				else
					ballx = ballx+absbool(ballxs);
				end
			else
				ballx = ballx+absbool(ballxs);
				if not ready then
					if ballx > 320 then
						print("P1 grabs a point!");
						p1s=p1s+1;
						print(p1s.." - "..p2s);
						ready=true;
					end
					if ballx < 0 then
						print("P2 grabs a point!");
						p2s=p2s+1;
						print(p1s.." - "..p2s);
						ready=true;
					end
					if p1s>=10 then
						print("P1 wins to P2, "..p1s.." - "..p2s..".")
					end
					if p2s>=10 then
						print("P2 wins to P1, "..p1s.." - "..p2s..".")
					end
				end
			end
		end
		for i=1,math.abs(ballys) do
			if bally+absbool(ballys) < 0 or bally+absbool(ballys) > 240 then
				ballys = ballys*-1;
			else
				bally = bally+absbool(ballys);
			end
		end
	end
end

function absbool(var)
	return var/math.abs(var);
end

function calcspeed(v,v2)
	if (ballx+absbool(ballxs) < 5 and (bally >= p1y-12 and bally <= p1y+12)) then
		if math.abs(v/2) > 1 then
			ballys = v/2;
			return math.abs(v/2);
		else
			ballys = 0;
			return -(math.abs(v2-ballys)-23)/4;
		end
	elseif math.abs(v2/2) > 1 then
		ballys = v2/2;
		return (math.abs(v2-ballys)-23)/4;
	else
		ballys = 0;
		return -2;
	end
end

function love.draw()
	love.graphics.point(ballx-1,bally);
	love.graphics.point(ballx,bally);
	love.graphics.point(ballx+1,bally);
	love.graphics.point(ballx,bally-1);
	love.graphics.point(ballx,bally+1);
	for i=1,24 do
		love.graphics.point(5,p1y-12+i-1);
	end
	for i=1,24 do
		love.graphics.point(315,p2y-12+i-1);
	end

	for i=1,p1s do
		if not (i/5==1 or i/5==2) then
			love.graphics.point(10+(i*2),2);
			love.graphics.point(10+(i*2),3);
			love.graphics.point(10+(i*2),4);
		else
			for o=1,9 do
			love.graphics.point((i*2)+o,3)
			end
		end
	end

	for i=1,p2s do
		if not (i/5==1 or i/5==2) then
			love.graphics.point(310-(i*2),2);
			love.graphics.point(310-(i*2),3);
			love.graphics.point(310-(i*2),4);
		else
			for o=1,9 do
			love.graphics.point(310-(i*2)+o,3)
			end
		end
	end

	--love.graphics.print(p1s.."",10,1,0,1,1);
	--love.graphics.print(p2s.."",280,1,0,1,1)
end
